/***************************************************************************
 *   Copyright (C) 2007 by Sébastien Laoût                                 *
 *   slaout@linux62.org                                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef AMAROKAPI_H
#define AMAROKAPI_H

/**
 * @author Sébastien Laoût <slaout@linux62.org>
 */
namespace AmarokApi
{
	void enableScreensaver(bool enable);
	void enableOSD(bool enable);
	void setRating(int rating);
	void volumeUp();
	void volumeDown();
	bool playPause();
	void previousTrack();
	void nextTrack();
	void seek(int position);
	void seekRelative(int deltaSeconds);
};

#endif // AMAROKAPI_H
